## lemonldap-ng 2.22.0+ds

=== Makefile ===
#!/usr/bin/make

# This Makefile contains 2 main sections
#  - Variables
#  - targets

# ---------
# VARIABLES
# ---------

# Prefix for packaging
DESTDIR=

# Flag for optimizations
USEDEBIANLIBS=no
PROD=$(USEDEBIANLIBS)
USEEXTERNALLIBS=no
PARA=$(shell perl -000 -e 'print ( "$(MAKEFLAGS)" =~ /-j(\d+)/ ? "j$$1:c" : "")')
PARAXARGS=$(shell perl -000 -e 'print ( "$(MAKEFLAGS)" =~ /-j(\d+)/ ? "-P $$1" : "")')

# Perl options
#PERLOPTIONS="INSTALLDIRS=vendor"
PERLOPTIONS=

# Compression
JSCOMPRESS=$(PROD)
CSSCOMPRESS=$(PROD)

# Perltidy version
PERLTIDY_VERSION=20220217

# External commands
PERL=$$(which perl)
PERLVERSION=`perl -e '$$version = $$^V; $$version =~ s/v//; print $$version'`
export PERL5LIB=$(CURDIR)/${SRCCOMMONDIR}/blib/lib:$(CURDIR)/${SRCHANDLERDIR}/blib/lib:$(CURDIR)/${SRCMANAGERDIR}/blib/lib/:$(CURDIR)/${SRCPORTALDIR}/blib/lib/
SU=su -c
COMPRESS=tar czf
UNCOMPRESS=tar xzf
LISTCOMPRESSED=tar tzf
COMPRESSSUFFIX=tar.gz
NGINX=/usr/sbin/nginx
UGLIFYJSVERSION:=$(shell uglifyjs --version|perl -pe 's/^[^\d]*(\d).*$$/$$1/')
CHOWN=chown
CHGRP=chgrp
CHMOD=chmod

# Default directories install
# ---------------------------

# Common dirs
PREFIX=/usr/local
LMPREFIX=$(PREFIX)/lemonldap-ng
# BIN dirs
BINDIR=$(LMPREFIX)/bin
SBINDIR=$(LMPREFIX)/sbin
INITDIR=$(LMPREFIX)/etc/init.d
UNITDIR=$(LMPREFIX)/usr/lib/systemd/system
TMPFILESDIR=$(LMPREFIX)/usr/lib/tmpfiles.d
ETCDEFAULTDIR=$(LMPREFIX)/etc/default
DATADIR=$(LMPREFIX)/data
MANDIR=$(LMPREFIX)/usr/share/man

# Document roots for Apache VirtualHosts
DOCUMENTROOT=$(LMPREFIX)/htdocs
PORTALDIR=$(DOCUMENTROOT)/portal
PORTALSITEDIR=$(PORTALDIR)/htdocs
PORTALSTATICDIR=$(PORTALSITEDIR)/static
PORTALRELATIVESTATICDIR=/static
PORTALTEMPLATESDIR=$(PORTALDIR)/templates

MANAGERDIR=$(DOCUMENTROOT)/manager
MANAGERSITEDIR=$(MANAGERDIR)/htdocs
MANAGERAPIDIR=$(MANAGERDIR)/api
MANAGERSTATICDIR=$(MANAGERSITEDIR)/static
MANAGERRELATIVESTATICDIR=/static
MANAGERRELATIVEDOCDIR=/doc
MANAGERTEMPLATESDIR=$(MANAGERSITEDIR)/templates
DOCDIR=$(DOCUMENTROOT)
DEFDOCDIR=$(DOCUMENTROOT)/doc
TESTDIR=$(DOCUMENTROOT)/test
EXAMPLESDIR=$(LMPREFIX)/examples
TOOLSDIR=$(LMPREFIX)/tools

# Handler dir
HANDLERDIR=$(LMPREFIX)/handler

# Configuration dir
CONFDIR=$(LMPREFIX)/etc
CRONDIR=$(LMPREFIX)/etc/cron.d
CONFFILENAME=lemonldap-ng.ini
STORAGECONFFILE=$(CONFDIR)/$(CONFFILENAME)

# LL::NG configuration storage dir
FILECONFIGDIR=$(DATADIR)/conf

# LL::NG sessions storage dir
APACHESESSIONFILEDIR=$(DATADIR)/sessions
APACHESESSIONFILELOCKDIR=$(APACHESESSIONFILEDIR)/lock

# LL::NG persistent sessions storage dir
APACHEPSESSIONFILEDIR=$(DATADIR)/psessions
APACHEPSESSIONFILELOCKDIR=$(APACHEPSESSIONFILEDIR)/lock

# LL::NG notifications storage dir
APACHEFILENOTIFDIR=$(DATADIR)/notifications

# LL::NG captcha dir
CAPTCHADIR=$(DATADIR)/captcha

# LL::NG cache dir
CACHEDIR=$(DATADIR)/cache

# Apache user/group
APACHEUSER=
APACHEGROUP=

# FastCGI
FASTCGISOCKDIR=$(PREFIX)/run
FASTCGIUSER=$(APACHEUSER)
FASTCGIGROUP=$(APACHEGROUP)

# uWSGI
UWSGIYAMLDIR=$(LMPREFIX)/uwsgi
LLNGAPPDIR=$(LMPREFIX)/llng-server
UWSGIUSER=$(APACHEUSER)
UWSGIGROUP=$(APACHEGROUP)

# RC/systemd
WITHRC=yes
WITHSYSTEMD=yes

# Apache version
APACHEVERSION=2.X

# Apache log dir
APACHELOGDIR=/var/log/apache2

# DNS Domain for cookie and virtual hosts
DNSDOMAIN=example.com

# Virtual Host Listen IP and Port (*, *:80, ...)
PORT=80
VHOSTLISTEN="*:$(PORT)"
TESTWEBSERVER=apache
TESTWEBSERVERPORT=19876
TESTUSESSL=0
E2E_TESTS='portal/*.js'

# LDAP backend test
LLNGTESTLDAP_SLAPD_BIN=/usr/sbin/slapd
LLNGTESTLDAP_SLAPADD_BIN=/usr/sbin/slapadd
LLNGTESTLDAP_SCHEMA_DIR=/etc/ldap/schema

# Default website destination
WEBSITE_DIR=doc/sources/admin/_build/html

# Other
SRCCOMMONDIR=lemonldap-ng-common
SRCHANDLERDIR=lemonldap-ng-handler
SRCPORTALDIR=lemonldap-ng-portal
SRCMANAGERDIR=lemonldap-ng-manager
ERASECONFIG=1 # Set to 0 if you do not want to replace your configuration

# INTERNAL VARIABLES

# Internal variables used to install in $(DESTDIR)
RLMPREFIX=$(DESTDIR)/$(LMPREFIX)
RBINDIR=$(DESTDIR)/$(BINDIR)
RSBINDIR=$(DESTDIR)/$(SBINDIR)
RUWSGIYAMLDIR=$(DESTDIR)/$(UWSGIYAMLDIR)
RLLNGAPPDIR=$(DESTDIR)/$(LLNGAPPDIR)
RINITDIR=$(DESTDIR)/$(INITDIR)
RUNITDIR=$(DESTDIR)/$(UNITDIR)
RTMPFILESDIR=$(DESTDIR)/$(TMPFILESDIR)
RETCDEFAULTDIR=$(DESTDIR)/$(ETCDEFAULTDIR)
RDATADIR=$(DESTDIR)/$(DATADIR)
RMANDIR=$(DESTDIR)/$(MANDIR)
RPORTALDIR=$(DESTDIR)/$(PORTALDIR)
RPORTALSITEDIR=$(DESTDIR)/$(PORTALSITEDIR)
RPORTALSTATICDIR=$(DESTDIR)/$(PORTALSTATICDIR)
RPORTALTEMPLATESDIR=$(DESTDIR)/$(PORTALTEMPLATESDIR)
RMANAGERDIR=$(DESTDIR)/$(MANAGERDIR)
RMANAGERSITEDIR=$(DESTDIR)/$(MANAGERSITEDIR)
RMANAGERAPIDIR=$(DESTDIR)/$(MANAGERAPIDIR)
RMANAGERSTATICDIR=$(DESTDIR)/$(MANAGERSTATICDIR)
RMANAGERTEMPLATESDIR=$(DESTDIR)/$(MANAGERTEMPLATESDIR)
RDOCDIR=$(DESTDIR)/$(DOCDIR)
RDEFDOCDIR=$(DESTDIR)/$(DEFDOCDIR)
RTESTDIR=$(DESTDIR)/$(TESTDIR)
REXAMPLESDIR=$(DESTDIR)/$(EXAMPLESDIR)
RTOOLSDIR=$(DESTDIR)/$(TOOLSDIR)
RHANDLERDIR=$(DESTDIR)/$(HANDLERDIR)
RCONFDIR=$(DESTDIR)/$(CONFDIR)
RCRONDIR=$(DESTDIR)/$(CRONDIR)
RFILECONFIGDIR=$(DESTDIR)/$(FILECONFIGDIR)
RAPACHESESSIONFILEDIR=$(DESTDIR)/$(APACHESESSIONFILEDIR)
RAPACHESESSIONFILELOCKDIR=$(DESTDIR)/$(APACHESESSIONFILELOCKDIR)
RAPACHEPSESSIONFILEDIR=$(DESTDIR)/$(APACHEPSESSIONFILEDIR)
RAPACHEPSESSIONFILELOCKDIR=$(DESTDIR)/$(APACHEPSESSIONFILELOCKDIR)
RFILENOTIFDIR=$(DESTDIR)/$(APACHEFILENOTIFDIR)
RCAPTCHADIR=$(DESTDIR)/$(CAPTCHADIR)
RCACHEDIR=$(DESTDIR)/$(CACHEDIR)
RFASTCGISOCKDIR=$(DESTDIR)/$(FASTCGISOCKDIR)

VERSION=`head -n1 changelog |sed -e 's/lemonldap-ng (//' -e 's/).*$$//'`
PORTALSKINS=`ls $(SRCPORTALDIR)/site/templates/`
DIFF=diff -aurN -x '*.tpl' -x '*.bak' -x .svn -x '*.map' -x '*.min.js' -x '*.min.css' -x '*.swp' --ignore-matching-lines='.*jquery.*' --ignore-matching-lines='.*lemonldap-ng\.ini.*'
DIFFPREFIX=


MANAGERLIBSTOREMOVEFORDEBIAN=$(RMANAGERSTATICDIR)/bwr/jquery/ \
			$(RMANAGERSTATICDIR)/bwr/angular/ \
			$(RMANAGERSTATICDIR)/bwr/angular-animate/ \
			$(RMANAGERSTATICDIR)/bwr/angular-cookie/ \
			$(RMANAGERSTATICDIR)/bwr/bootstrap/ \
			$(RMANAGERSTATICDIR)/bwr/es5-shim/
PORTALLIBSTOREMOVEFORDEBIAN=$(RPORTALSTATICDIR)/bwr/bootstrap/ \
			$(RPORTALSTATICDIR)/bwr/font-awesome \
			$(RPORTALSTATICDIR)/bwr/jquery-ui \
			$(RPORTALSTATICDIR)/bwr/jquery.cookie \
			$(RPORTALSTATICDIR)/bwr/jquery
DOCLIBSTOREMOVEFORDEBIAN=pages/documentation/current/lib/tpl/bootstrap3 \
			pages/documentation/current/lib/scripts/jquery-ui*.js \
			pages/documentation/current/bootswatch/3.3.4/flatly/bootstrap.min.css
DOCEXTERNALLIBS=$(DOCLIBSTOREMOVEFORDEBIAN)
MANAGEREXTERNALLIBS=$(RMANAGERSTATICDIR)/bwr/
PORTALEXTERNALLIBS=$(PORTALLIBSTOREMOVEFORDEBIAN)

# GENERATED SRC FILES
MANAGERJSONSRC= scripts/jsongenerator.pl \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/Attributes.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/Tree.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/CTrees.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Conf/Zero.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/PortalConstants.pm
MANAGERJSONDST=$(SRCMANAGERDIR)/site/htdocs/static/struct.json \
		$(SRCMANAGERDIR)/site/htdocs/static/reverseTree.json \
		$(SRCMANAGERDIR)/site/htdocs/static/js/conftree.js \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Attributes.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/ReConstants.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/DefaultValues.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/Constants.pm \
		$(SRCPORTALDIR)/lib/Lemonldap/NG/Portal/Main/Constants.pm \
		$(SRCHANDLERDIR)/lib/Lemonldap/NG/Handler/Lib/StatusConstants.pm \
		_example/conf/lmConf-1.json \
		doc/sources/admin/error_codes.rst



# Javascript and CSS to minify
JSSRCFILES=$(shell find $(SRCMANAGERDIR)/site/htdocs/static/js $(SRCPORTALDIR)/site/htdocs/static/bootstrap $(SRCPORTALDIR)/site/htdocs/static/common -type f -name '*.js' ! -name '*.min.js') \
		$(SRCMANAGERDIR)/site/htdocs/static/bwr/file-saver.js/FileSaver.js
CSSSRCFILES=$(shell find $(SRCMANAGERDIR)/site/htdocs/static/css $(SRCPORTALDIR)/site/htdocs/static/bootstrap $(SRCPORTALDIR)/site/htdocs/static/common  -type f -name '*.css' ! -name '*.min.css')

# JS source files
MANAGERJSSRCFILES=$(shell find lemonldap-ng-manager/site/js-src -type f -name '*.js')
PORTALJSSRCFILES=$(shell find lemonldap-ng-portal/site/js-src -type f -name '*.js')
MANAGERJSDSTFILES=$(subst js-src/,htdocs/static/js/,$(MANAGERJSSRCFILES:.js=.js))
PORTALJSDSTFILES=$(subst js-src/,htdocs/static/common/js/,$(PORTALJSSRCFILES:.js=.js))
JSDSTFILES=$(MANAGERJSDSTFILES) $(PORTALJSDSTFILES)

# Minified files
JSMINFILES=$(JSSRCFILES:.js=.min.js)
CSSMINFILES=$(CSSSRCFILES:.css=.min.css)

# -------
# TARGETS
# -------

# Targets section contains the following subsections:
#  - 'all' that must be defined at first
#  - configure targets
#  - make targets
#  - test targets
#  - end-to-end tests
#  - install targets
#  - cleaning targets
#  - Perl libraries uninstall targets
#  - packaging targets
#  - developper corner

all:	configure common handler manager portal documentation
	@echo
	@echo "Building succeed. Now run :"
	@echo " - 'make test' to verify your installation"
	@echo " - 'make install PROD=yes' to install all"
	@echo
	@echo "    MAKE INSTALL OPTIONS:"
	@echo "    - PROD=yes            : use js/css minified files"
	@echo "    - USEDEBIANLIBS=yes   : use some Debian shared js/css files"
	@echo "    - USEEXTERNALLIBS=yes : use external links for some js/css files"
	@echo
	@echo 'Other targets :'
	@echo " * Partial build :"
	@echo "   - portal, manager, handler"
	@echo
	@echo 'Other targets launched by "make install" :'
	@echo " * Perl libraries install :"
	@echo "   - install_libs           (all Perl libraries)"
	@echo "   - install_portal_libs"
	@echo "   - install_manager_libs"
	@echo "   - install_handler_libs"
	@echo " * Binaries install :"
	@echo "   - install_bin            ($(BINDIR))"
	@echo " * FastCGI (or uWSGI) server install (required for Nginx)"
	@echo "   - install_fastcgi_server ($(SBINDIR))"
	@echo "   - install_uwsgi_server   ($(UWSGIYAMLDIR))"
	@echo " * Web sites install :"
	@echo "   - install_site           (all sites including install_doc_site)"
	@echo "   - install_portal_site    ($(PORTALDIR))"
	@echo "   - install_manager_site   ($(MANAGERDIR))"
	@echo "   - install_handler_site   ($(HANDLERDIR))"
	@echo " * Documentation install :"
	@echo "   - install_doc_site       ($(DEFDOCDIR))"
	@echo "   - install_examples_site  ($(EXAMPLESDIR))"
	@echo

# Configure targets
# -----------------

configure:	common_conf handler_conf portal_conf manager_conf

js: $(JSDSTFILES)

minify: $(JSDSTFILES) $(JSMINFILES) $(CSSMINFILES)

_rollup_portal:
	@if which rollup >/dev/null; then \
		cd $(SRCPORTALDIR)/site/js-src && \
		rollup -c; \
	else \
		echo "Can't find rollup"; \
	fi

$(SRCPORTALDIR)/site/htdocs/static/common/js/%.js: $(SRCPORTALDIR)/site/js-src/%.js
	$(MAKE) _rollup_portal

_rollup_manager:
	@if which rollup >/dev/null; then \
		cd $(SRCMANAGERDIR)/site/js-src && \
		rollup -c; \
	else \
		echo "Can't find rollup"; \
	fi

$(SRCMANAGERDIR)/site/htdocs/static/js/%.js: $(SRCMANAGERDIR)/site/js-src/%.js
	@if test "$*" != "conftree"; then \
		$(MAKE) _rollup_manager; \
	fi

%.min.css: %.css
	@echo "Compressing $*.css"
	@yui-compressor $*.css > $*.min.css

%.min.js: %.js
	@echo "Compressing $*.js"
	@if test "$(UGLIFYJSVERSION)" = 2; then \
		cd `dirname $*`; \
		uglifyjs `basename $*`.js --compress --mangle --comments '/Copyr/i' --source-map `basename $*`.min.js.map -o `basename $*`.min.js; \
	else \
		cd `dirname $*`; \
		uglifyjs `basename $*`.js --compress --mangle --comments '/Copyr/i' --source-map -o `basename $*`.min.js; \
	fi

# Perl libraries configuration

json:	$(MANAGERJSONDST) debian/*cron*
	@if which yui-compressor >/dev/null; then $(MAKE) minify; fi
	$(MAKE) minify

debian/liblemonldap-ng-handler-perl.cron.d: lemonldap-ng-handler/scripts/purgeLocalCache.cron.d

=== doc/sources/admin/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/LemonLDAPNG.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/LemonLDAPNG.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/LemonLDAPNG"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/LemonLDAPNG"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== doc/sources/admin/requirements.txt ===
sphinx_bootstrap_theme

=== debian/changelog ===
lemonldap-ng (2.22.0+ds-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Yadd <yadd@debian.org>  Mon, 20 Oct 2025 06:50:05 +0200

lemonldap-ng (2.22.0+ds-2) unstable; urgency=medium

  * Fix copyright
  * Update syntax-skip
  * Update autopkgtest files

 -- Yadd <yadd@debian.org>  Sat, 18 Oct 2025 12:53:34 +0200

lemonldap-ng (2.22.0+ds-1) unstable; urgency=medium

  * New upstream version 2.22.0+ds
  * Drop fix-makefile.patch, now included in upstream
  * Update install

 -- Yadd <yadd@debian.org>  Sat, 18 Oct 2025 08:31:45 +0200

=== debian/control ===
Source: lemonldap-ng
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper-compat (= 13), po-debconf
Build-Depends-Indep: fonts-urw-base35 <!nocheck>,
                     gpg <!nocheck>,
                     jq,
                     libapache-session-perl <!nocheck>,
                     libauth-yubikey-webclient-perl <!nocheck>,
                     libauthen-radius-perl <!nocheck>,
                     libcache-cache-perl <!nocheck>,
                     libclass-xsaccessor-perl <!nocheck>,
                     libclone-perl <!nocheck>,
                     libconfig-inifiles-perl <!nocheck>,
                     libconvert-base32-perl <!nocheck>,
                     libconvert-pem-perl <!nocheck>,
                     libcrypt-jwt-perl <!nocheck>,
                     libcrypt-openssl-rsa-perl <!nocheck>,
                     libcrypt-openssl-x509-perl <!nocheck>,
                     libcrypt-rijndael-perl <!nocheck>,
                     libcrypt-urandom-perl <!nocheck>,
                     libdata-password-zxcvbn-perl <!nocheck>,
                     libdatetime-format-rfc3339-perl <!nocheck>,
                     libdbd-sqlite3-perl <!nocheck>,
                     libdbi-perl <!nocheck>,
                     libdigest-hmac-perl <!nocheck>,
                     libemail-address-xs-perl | libemail-address-perl <!nocheck>,
                     libemail-sender-perl <!nocheck>,
                     libgd-securityimage-perl <!nocheck>,
                     libglib-perl <!nocheck>,
                     libgssapi-perl <!nocheck>,
                     libhash-merge-simple-perl <!nocheck>,
                     libhtml-formattext-withlinks-perl <!nocheck>,
                     libhtml-template-perl <!nocheck>,
                     libhttp-message-perl <!nocheck>,
                     libimage-magick-perl <!nocheck>,
                     libio-socket-timeout-perl <!nocheck>,
                     libio-string-perl,
                     libipc-run-perl <!nocheck>,
                     libjson-perl,
                     libjson-xs-perl <!nocheck>,
                     liblasso-perl <!nocheck>,
                     liblist-moreutils-perl <!nocheck>,
                     liblog-log4perl-perl <!nocheck>,
                     liblwp-protocol-psgi-perl <!nocheck>,
                     libmime-tools-perl <!nocheck>,
                     libmouse-perl,
                     libnet-cidr-perl <!nocheck>,
                     libnet-ldap-perl <!nocheck>,
                     libnet-openid-consumer-perl <!nocheck>,
                     libnet-openid-server-perl <!nocheck>,
                     libplack-perl <!nocheck>,
                     libregexp-assemble-perl,
                     libregexp-common-perl,
                     libsoap-lite-perl <!nocheck>,
                     libstring-random-perl <!nocheck>,
                     libtest-leaktrace-perl <!nocheck>,
                     libtest-output-perl <!nocheck>,
                     libtest-pod-perl <!nocheck>,
                     libtext-unidecode-perl <!nocheck>,
                     libtime-fake-perl <!nocheck>,
                     liburi-perl <!nocheck>,
                     libwww-perl <!nocheck>,
                     libxml-libxml-perl <!nocheck>,
                     libxml-libxslt-perl <!nocheck>,
                     perl,
                     python3-sphinx,
                     python3-sphinx-bootstrap-theme,
                     uglifyjs,
                     yui-compressor
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng.git
Homepage: https://lemonldap-ng.org/
Rules-Requires-Root: binary-targets

Package: lemonldap-ng
Architecture: all
Depends: lemonldap-ng-handler (= ${binary:Version}),
         liblemonldap-ng-manager-perl (= ${binary:Version}),
         liblemonldap-ng-portal-perl (= ${binary:Version}),
         ${misc:Depends}
Provides: openid-connect-provider,
          openid-connect-relying-party,
          saml-identity-provider,
          saml-service-provider
Description: OpenID-Connect, CAS and SAML compatible Web-SSO system
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package is a metapackage that install handler, manager and portal.

Package: lemonldap-ng-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: foreign
Description: Lemonldap::NG Web-SSO system documentation
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package contains html documentation.

Package: lemonldap-ng-fastcgi-server
Architecture: all
Section: web
Depends: libfcgi-perl,
         libfcgi-procmanager-perl,
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libplack-perl,
         ${misc:Depends},
         ${perl:Depends}
Recommends: libhttp-parser-xs-perl, libnginx-mod-http-lua, nginx-extras | nginx
Pre-Depends: ${misc:Pre-Depends}
Description: Lemonldap::NG FastCGI server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG FastCGI server provides a Nginx auth_request server that handles
 also LLNG Portal and Manager.

Package: liblemonldap-ng-ssoaas-apache-client-perl
Architecture: all
Section: web
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: liblemonldap-ng-handler-perl (<< 2.0.14~)
Multi-Arch: foreign
Description: Lemonldap::NG SSOaaS client for Apache
 Lemonldap::NG is a complete Web-SSO system that provides a SSO-as-a-Service
 system, natively usable with Nginx. Lemonldap::NG::SSOaaS::Apache::Client
 permits one to enroll an Apache server into Lemonldap::NG's SSOaaS service.

Package: lemonldap-ng-uwsgi-app
Architecture: all
Section: web
Depends: liblemonldap-ng-handler-perl (= ${binary:Version}), ${misc:Depends}
Recommends: libhttp-parser-xs-perl, uwsgi-plugin-psgi
Suggests: nginx-extras | nginx
Description: Lemonldap::NG uWSGI server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG uWSGI server provides a replacement to Lemonldap::NG FastCGI
 server, using uWSGI instead of Plack FCGI.

Package: lemonldap-ng-handler
Architecture: all
Depends: liblemonldap-ng-handler-perl (= ${binary:Version}), ${misc:Depends}
Recommends: lemonldap-ng-fastcgi-server (= ${binary:Version}) | lemonldap-ng-uwsgi-app (= ${binary:Version}) | libapache2-mod-perl2
Suggests: libcache-memcached-perl, libdigest-hmac-perl, libsoap-lite-perl
Description: Lemonldap::NG handler part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package provides configuration files for Apache and Nginx used to protect
 web areas.

Package: liblemonldap-ng-handler-perl
Architecture: all
Depends: liblemonldap-ng-common-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends}
Description: Lemonldap::NG handler common libraries
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Handler provides Perl libraries used by web server handlers.

Package: liblemonldap-ng-common-perl
Architecture: all
Depends: debconf,
         libapache-session-perl,
         libcache-cache-perl,
         libclass-xsaccessor-perl,
         libconfig-inifiles-perl,
         libcrypt-openssl-rsa-perl,
         libcrypt-openssl-x509-perl,
         libconvert-pem-perl,
         libcrypt-rijndael-perl,
         libcrypt-urandom-perl,
         libhtml-template-perl,
         libjson-perl,
         libjson-xs-perl,
         libmouse-perl,
         libnet-cidr-perl,
         libnet-ssleay-perl,
         libplack-perl,
         liburi-perl,
         libwww-perl,
         ${misc:Depends},
         ${perl:Depends}
Recommends: libapache-session-browseable-perl,
            libcookie-baker-xs-perl,
            libdbi-perl,
            libemail-address-xs-perl | libemail-address-perl,
            libemail-sender-perl,
            libhttp-parser-xs-perl,
            liblwp-protocol-https-perl,
            libstring-random-perl
Suggests: libconvert-base32-perl,
          liblog-log4perl-perl,
          libnet-ldap-perl,
          libsoap-lite-perl,
          libxml-libxml-perl
Description: Lemonldap::NG common files
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LMSHAREDIR=/usr/share/lemonldap-ng
LMVARDIR  =/var/lib/lemonldap-ng
LMCACHEDIR  =/var/cache/lemonldap-ng
TMP       = $(CURDIR)/debian/tmp

CONFDIR=/etc/lemonldap-ng
export LLNG_SKIP_GPG_TEST=1
export SKIP_NETWORK_TESTS=1

%:
	dh $@

override_dh_auto_configure:
	$(MAKE) lemonldap-ng-common/lib/Lemonldap/NG/Common/Conf/Constants.pm
	$(MAKE) configure STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
		PERLOPTIONS="INSTALLDIRS=vendor"

override_dh_auto_build: llng_build doc/pages/documentation/current/start.html

llng_build:
	# Generate files excluded from import
	LANG=C $(MAKE) configure common handler manager portal
	# Extract JOSN from doc index
	cat doc/pages/documentation/current/searchindex.js | perl -pe 's/^.*?(\{.*\}).*?$$/$$1/' >debian/index.json
	# Sort JSON, including arrays
	jq --compact-output 'walk(if type == "array" then sort else if type == "object" then to_entries | sort_by(.key) | from_entries else . end end)' > debian/searchindex.js <debian/index.json
	# Insert new JSON in doc index
	perl -000 -i -pe 'BEGIN{open F,"debian/searchindex.js";$$j=<F>;chomp $$j;close F}s/\{.*\}/$$j/' doc/pages/documentation/current/searchindex.js
	pod2man -s 8 -name llng-fastcgi-server fastcgi-server/sbin/llng-fastcgi-server >llng-fastcgi-server.8p

doc/pages/documentation/current/start.html:
	LANG=C $(MAKE) documentation

override_dh_auto_test: doc/pages/documentation/current/start.html
	dh_auto_test

override_dh_auto_install:
	$(MAKE) install \
			DESTDIR=$(CURDIR)/debian/tmp \
			PREFIX=/usr \
			LMPREFIX=/usr/share/lemonldap-ng \
			BINDIR=$(LMSHAREDIR)/bin \
			SBINDIR=/usr/sbin \
			FASTCGISOCKDIR=/var/run/llng-fastcgi-server \
			DOCUMENTROOT=$(LMVARDIR) \
			EXAMPLESDIR=/examples \
			HANDLERDIR=$(LMVARDIR)/handler \
			MANAGERDIR=$(LMSHAREDIR)/manager \
			MANDIR=/usr/share/man \
			PORTALDIR=$(LMSHAREDIR)/portal \
			STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
			TOOLSDIR=$(LMSHAREDIR)/ressources \
			CONFDIR=$(CONFDIR) \
			CRONDIR=/etc/cron.d \
			DATADIR=$(LMVARDIR) \
			CACHEDIR=$(LMCACHEDIR) \
			APACHEVERSION=2.X \
			APACHEUSER=www-data \
			APACHEGROUP=www-data \
			DEFDOCDIR=/usr/share/doc/lemonldap-ng \
			UWSGIYAMLDIR=/etc/uwsgi/apps-available \
			USEDEBIANLIBS=yes
	find $(TMP)/$(LMSHAREDIR) -type f -name '.*.swp' -delete
	# Generate minified files removed by uscan
	for i in $$(find $(TMP)/$(LMSHAREDIR) -type f -name '*.js'); do \
		echo -n "compressing $$i: "; \
		uglifyjs --comments '/Copyr/i' $$i >$${i%%.js}.min.js; \
		echo done; \
	done
	for i in $$(find $(TMP)/$(LMSHAREDIR) -type f -name '*.css'); do \
		echo -n "compressing $$i: "; \
		yui-compressor $$i >$${i%%.css}.min.css; \
		echo done; \
	done
	rm -rf $(TMP)/usr/share/lemonldap-ng/usr/lib/systemd

override_dh_compress:
	dh_compress -X favicon.ico

override_dh_missing:
	dh_missing -Xexamples/ -Xetc/cron.d -Xllng-fastcgi-server

## lemonldap-ng 2.22.1+ds

=== debian/changelog ===
lemonldap-ng (2.22.1+ds-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Yadd <yadd@debian.org>  Tue, 02 Dec 2025 07:47:55 +0100

lemonldap-ng (2.22.1+ds-1) unstable; urgency=medium

  * New upstream version 2.22.1+ds

 -- Yadd <yadd@debian.org>  Tue, 25 Nov 2025 18:32:56 +0100

## lemonldap-ng 2.22.2+ds

=== debian/changelog ===
lemonldap-ng (2.22.2+ds-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Yadd <yadd@debian.org>  Sun, 08 Feb 2026 11:17:38 +0100

lemonldap-ng (2.22.2+ds-1) unstable; urgency=medium

  * debian/watch version 5
  * New upstream version 2.22.2+ds

 -- Yadd <yadd@debian.org>  Tue, 03 Feb 2026 21:05:07 +0100

=== debian/watch ===
Version: 5

Source: https://releases.ow2.org/lemonldap/
Matching-Pattern: lemonldap-ng-(\d[\d\.]+)\.tar\.gz
Dversion-Mangle: s/[\+~](debian|dfsg|ds|deb)(\.)?(\d+)?$//
Pgp-Sig-Url-Mangle: s/$/.sig/
Repack-Suffix: +ds
